UnattendedProgressInterface (install4j API)
Description: declaration: package: com.install4j.api.context, interface: UnattendedProgressInterface

# Interface UnattendedProgressInterface

All Superinterfaces:
  `ProgressInterface`

All Known Implementing Classes:
  `DefaultUnattendedProgressInterface`

public interface UnattendedProgressInterface extends ProgressInterface
The user notification interface during unattended installations. By default, no progress information is shown during unattended installations. For each installer application, you can set the "Progress interface creation" script property to provide your own means of displaying progress information. For example, you might want to go to full-screen mode during update installers on dedicated special-purpose computers.

This class adds a few methods to the default `ProgressInterface` interface that are only relevant in unattended mode.

See Also:
  - `ProgressInterface`
  - `Context.getProgressInterface()`

- ## Field Summary

  ### Fields inherited from interface ProgressInterface

  `OVERWRITE_ALL, OVERWRITE_NEVER, OVERWRITE_NO, OVERWRITE_YES, RETRY_CANCEL, RETRY_NO, RETRY_YES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default boolean`
  `isAskForProxy()`
  Deprecated.
  `void`
  `setCancelButtonEnabled(boolean enabled)`
  Called if the cancel button is enabled or disabled.
  `void`
  `setCancelButtonVisible(boolean visible)`
  Called if the cancel button is made visible or invisible.
  `void`
  `setVisible(boolean visible)`
  Called when the progress interface is created and destroyed.

  ### Methods inherited from interface ProgressInterface

  `askContinue, askOverwrite, askRetry, clearProgress, getPercentCompleted, isAlertsShown, isUnattendedProgressDialog, setDetailMessage, setIndeterminateProgress, setPercentCompleted, setSecondaryPercentCompleted, setStatusMessage, showFailure`

- ## Method Details

  - ### setVisible

    void setVisible(boolean visible)
    Called when the progress interface is created and destroyed. At startup, this method is called with a parameter of `true`, at exit it is called with a parameter of `false`. You should use this method for the lif-cycle of a window or similar resources.
    Parameters:
      `visible` - `true` at startup and `false` at exit

  - ### setCancelButtonEnabled

    void setCancelButtonEnabled(boolean enabled)
    Called if the cancel button is enabled or disabled.
    Parameters:
      `enabled` - `true` or `false`
    See Also:
      - `WizardContext.setControlButtonEnabled(ControlButtonType, boolean)`

  - ### setCancelButtonVisible

    void setCancelButtonVisible(boolean visible)
    Called if the cancel button is made visible or invisible.
    Parameters:
      `visible` - `true` or `false`
    See Also:
      - `WizardContext.setControlButtonVisible(ControlButtonType, boolean)`

  - ### isAskForProxy

    @Deprecated default boolean isAskForProxy()
    Deprecated.